D:\NXDataNX120>"C:\Program Files\Siemens\NX12\UGMANAGER\tcin_import.exe" -?
Usage: tcin_import [-u=<username>] [-p=<password>] [-g=<group>]
     [-pf=<filename>]
     [-corba_ior_file=<ior file>]
     [-corba_soa_ior_file=<soa file>]
     [-http_url=<4 tier server url>]
     [-http_cookie=<4 tier http cookie>]
     [-e[ncrypt]
     [-http_vmid=<4 tier http vmid>]
     [-include_c=<yes/no>]
     [-include_d=<yes/no>]
     [-default_n=<default naming>]
     [-conv=<conversion rule>]
     [-number_a=<number attribute>]
     [-revision_a=<revision attribute>]
     [-default_name=<name attribute>]
     [-default_description=<description attribute>]
     [-default_t=<default item type>]
     [-use_t=<yes/no>]
     [-default_a=<default action>]
     [-asso=<associated directory>]
     [-default_o=<default owner=<user>:<group>]
     [-default_f=<default folder>]
     [-default_p=<default projects>]
     [-publish_i=<yes/no>]
     [-asse=<assembly>]
     [-l=<load log file>]
     [-dir=<directory name>]
     [-dr]
     [-s=<save log file>]
     [-fam=<lose|strip_status|error>]
     [-import_dfa_kf]
     [-import_dfa_list]
     [-part=<DFA File Name>]
     [-validation_m=off|import_from_part|run_validation|run_validation_hybrid]
     [-validation_r=<validation rule Item Revision name or validation rule file name>]
     [-abort_import=<yes/no>]
     [-treat_validation_w=<yes/no>]
     [-treat_validation_o=<yes/no>]
     [-env=<customer environment>]
     [-assign_altids=<yes/no>]
     [-default_altid_context=<default alternate id context>]
     [-default_altid_type=<default alternate id type>]
     [-h[elp]|?]


Switches:
-u[ser]=<username>                         Teamcenter username
-p[assword]=<password>                     Teamcenter password
-g[roup]=<group>                           Teamcenter group
-pf=<password file>                        File to specify the Teamcenter password

-corba_ior_file=<ior file>                 Specifies tcserver IOR file
-corba_soa_ior_file=<soa file>]            Specifies corba SOA IOR file
-http_url=<4 tier server url>              Specifies http url for 4 tier configuration
-http_cookie=<4 tier http cookie>          Specifies http cookie for 4 tier configuration
-e[ncrypt]                                 To specify Teamcenter password
-http_vmid=<4 tier http vmid>              Specifies http vmid for 4 tier configuration

-include_c[omponents]=<yes/no>                     Flag indicating whether to include component parts or not. Defaults to yes.
-include_d[ependents]=<yes/no>                     Flag indicating whether to include dependent parts or not. Defaults to no.
-default_n[aming]=<default naming>                 Specifies the default naming scheme. Possible values are autogen|autot[ranslate]|os_filename|attribute. Defaults to autogen.
-conv[ersion_rule]=<conversion rule>               Specifies the conversion rule to use for os_filename naming scheme. Possible values are as_id|as_id_r[ev]|prepend:<string>|append:<string>|replace:<base_string>:<replace_string>
-number_a[ttribute]=<number attribute>             Specifies ID attribute. Defaults to "${DB_PART_NO}"
-revision_a[ttribute]=<revision attribute>         Specifies Revision attribute. Defaults to "${DB_PART_REV}"
-default_na[me]=<name attribute>                   Specifies Name attribute. No default
-default_d[escription]=<description attribute>     Specifies Description attribute. No default
-default_t[ype]=<default item type>                Specifies default Teamcenter item type
-use_t[ype_from_partfile]=<yes/no>                 Selects the Item Type for Import from the Part File. Defaults to no
-default_a[ction]=<default action>                 Specifies the default import action. Possible values are overwrite|use_existing|new_revision
-asso[ciated_file_root_dir]=<associated directory> Specifies default associated files root directory
-default_o[wner]=<default owner=<user>:<group>     Specifies default Teamcenter user and group to own parts
-default_f[older]=<default folder>                 Specifies the destination folder to import the new parts into
-default_p[rojects]=<default projects>             Specifies the list of default projects seperated by comma.This switch is applicable when part is imported fisrt time
-publish_i[nformation]=<yes/no>                    Flag indicating whether to publish optional info or not. Defaults to no. This option Enables or disables the publication of bounding box, part attribute form and preview image in Teamcenter. Enabling this option will degrade import performance

-asse[mbly]=<assembly>                     Sepcifies an assembly or part to add to the import operation
-l[oad_log_file]=<load log file>           Specifies the name of the ug_import mapping file(.log) or clone log file(.clone) to setup import
-dir[ectory]=<directory name>              Adds all assemblies in that directory to the import operation

-dr[yrun]                                          Dryrun without import
-s[ave_log_file]=<save log file>                   Specifies the name of the output log file
-fam[ily_treatment]=<lose|strip_status|error>      Specifies how to treat the part family members.

-import_dfa_kf                             Specify this option in the beginning of the argument list to import the DFA files.
-import_dfa_list                           Specify this option to import the DFA filenames listed in an input file.
-part=<DFA File Name>                      Specifies the DFA file name or name of file containing list of DFA file names.'-part' switch is valid for DFA files only.

-validation_m[ode]=<off|import_from_part|run_validation|run_validation_hybrid>
Specifies how to import validation results. Possible values are off|import_from_part|run_validation|run_validation_hybrid. Defaults to off.

-validation_r[ule]=<validation rule Item Revision name or validation rule file name>
 Specifies the rule Item Revision or native file name used to qualify the validation results to be imported. This switch must be specified when -validation_mode is not off. The name should be in CLI format of a rule Item Revision if the associated rule dataset is from Teamcenter.

-abort_import[_on_fail]=<yes/no>                Specifies whether to abort the part importing when validation results do not satisfy the validation rule. Defaults to no.
-treat_validation_w[arning_as_pass]=<yes/no>    Specifies how to treat the validation result status of pass with warning. Defaults to yes.
-treat_validation_o[utdated_as_pass]=<yes/no>   Specifies how to treat the validation result status of pass but outdated Defaults to no.

-env=<customer environment>                Specifies customer environment.

-assign_altids=<yes/no>                Specifies whether to assign alternate id for each part during import. This is optional argument. Alternate id is created using data in part file.
-default_altid_context=<default alternate id context>      Specifies the name of the default alternate id context to be used for assigning alternate IDs. Specify only when argument assign_altids is specified.
-default_altid_type=<default alternate id type>      Specifies the name of the default alternate id type to be used for assigning alternate IDs. Specify only when arguments assign_altids and default_altid_context are specified.

-h[elp]|?                                  Show this help message.


D:\NXDataNX120>



















































































































